Inbox
Update thread
Updates thread category, conversation status, and/or read state. Category changes emit a reply.categorized webhook when configured.
PATCH
/v1/threads/{id}Authorization
bearerAuth AuthorizationBearer <token>
Use an account API key in the Authorization header: Authorization: Bearer f_....
In: header
Path Parameters
idstring
Inbox thread id.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
category?string
Value in
- "Interested"
- "Neutral"
- "Not Interested"
- "Auto Reply"
- null
conversation_status?string
Value in
- "open"
- "closed"
read?boolean
When true, marks all received messages in the thread as read.
curl -X PATCH "https://example.com/v1/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "category": "Interested", "conversation_status": "closed", "read": true }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65", "campaign_id": "78614b6c-fe7c-41e2-8e25-c9b3a3c91904", "mailbox_id": "4d23d1af-2eef-4598-a5e0-1f19ae0b0c14", "subject": "string", "last_message_at": "2019-08-24T14:15:22Z", "last_inbound_at": "2019-08-24T14:15:22Z" }}{ "error": { "type": "invalid_request_error", "code": "invalid_flow", "message": "Flow validation failed" }, "details": [ { "path": "nodes[1].data.variants[0].id", "code": "invalid_variant_id", "message": "Email variants must have a stable UUID id." } ]}{ "error": { "type": "authentication_error", "code": "invalid_api_key", "message": "A valid Furnace API key is required" }}{ "error": { "type": "invalid_request_error", "code": "campaign_not_found", "message": "Campaign not found" }}{ "error": { "type": "rate_limit_error", "code": "rate_limit_exceeded", "message": "Rate limit exceeded for this account" }}{ "error": { "type": "api_error", "code": "internal_error", "message": "Internal server error" }}